Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
15.160.0.0
Broadcast address
15.191.255.255
First usable
15.160.0.1
Last usable
15.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 0FA00000 · Integer 262144000 to 264241151
Reverse DNS zones
160.15.in-addr.arpa
161.15.in-addr.arpa
162.15.in-addr.arpa
163.15.in-addr.arpa
164.15.in-addr.arpa
165.15.in-addr.arpa
166.15.in-addr.arpa
167.15.in-addr.arpa
168.15.in-addr.arpa
169.15.in-addr.arpa
170.15.in-addr.arpa
171.15.in-addr.arpa
172.15.in-addr.arpa
173.15.in-addr.arpa
174.15.in-addr.arpa
175.15.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.10100000.00000000.0000000015.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00001111.10100000.00000000.0000000015.160.0.0
Broadcast00001111.10111111.11111111.1111111115.191.255.255
Split into smaller subnets/18

15.160.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.160.0.0/1815.160.0.1 to 15.160.63.25415.160.63.25516,382
215.160.64.0/1815.160.64.1 to 15.160.127.25415.160.127.25516,382
315.160.128.0/1815.160.128.1 to 15.160.191.25415.160.191.25516,382
415.160.192.0/1815.160.192.1 to 15.160.255.25415.160.255.25516,382
515.161.0.0/1815.161.0.1 to 15.161.63.25415.161.63.25516,382
615.161.64.0/1815.161.64.1 to 15.161.127.25415.161.127.25516,382
715.161.128.0/1815.161.128.1 to 15.161.191.25415.161.191.25516,382
815.161.192.0/1815.161.192.1 to 15.161.255.25415.161.255.25516,382
915.162.0.0/1815.162.0.1 to 15.162.63.25415.162.63.25516,382
1015.162.64.0/1815.162.64.1 to 15.162.127.25415.162.127.25516,382
1115.162.128.0/1815.162.128.1 to 15.162.191.25415.162.191.25516,382
1215.162.192.0/1815.162.192.1 to 15.162.255.25415.162.255.25516,382
1315.163.0.0/1815.163.0.1 to 15.163.63.25415.163.63.25516,382
1415.163.64.0/1815.163.64.1 to 15.163.127.25415.163.127.25516,382
1515.163.128.0/1815.163.128.1 to 15.163.191.25415.163.191.25516,382
1615.163.192.0/1815.163.192.1 to 15.163.255.25415.163.255.25516,382
1715.164.0.0/1815.164.0.1 to 15.164.63.25415.164.63.25516,382
1815.164.64.0/1815.164.64.1 to 15.164.127.25415.164.127.25516,382
1915.164.128.0/1815.164.128.1 to 15.164.191.25415.164.191.25516,382
2015.164.192.0/1815.164.192.1 to 15.164.255.25415.164.255.25516,382
2115.165.0.0/1815.165.0.1 to 15.165.63.25415.165.63.25516,382
2215.165.64.0/1815.165.64.1 to 15.165.127.25415.165.127.25516,382
2315.165.128.0/1815.165.128.1 to 15.165.191.25415.165.191.25516,382
2415.165.192.0/1815.165.192.1 to 15.165.255.25415.165.255.25516,382
2515.166.0.0/1815.166.0.1 to 15.166.63.25415.166.63.25516,382
2615.166.64.0/1815.166.64.1 to 15.166.127.25415.166.127.25516,382
2715.166.128.0/1815.166.128.1 to 15.166.191.25415.166.191.25516,382
2815.166.192.0/1815.166.192.1 to 15.166.255.25415.166.255.25516,382
2915.167.0.0/1815.167.0.1 to 15.167.63.25415.167.63.25516,382
3015.167.64.0/1815.167.64.1 to 15.167.127.25415.167.127.25516,382
3115.167.128.0/1815.167.128.1 to 15.167.191.25415.167.191.25516,382
3215.167.192.0/1815.167.192.1 to 15.167.255.25415.167.255.25516,382
3315.168.0.0/1815.168.0.1 to 15.168.63.25415.168.63.25516,382
3415.168.64.0/1815.168.64.1 to 15.168.127.25415.168.127.25516,382
3515.168.128.0/1815.168.128.1 to 15.168.191.25415.168.191.25516,382
3615.168.192.0/1815.168.192.1 to 15.168.255.25415.168.255.25516,382
3715.169.0.0/1815.169.0.1 to 15.169.63.25415.169.63.25516,382
3815.169.64.0/1815.169.64.1 to 15.169.127.25415.169.127.25516,382
3915.169.128.0/1815.169.128.1 to 15.169.191.25415.169.191.25516,382
4015.169.192.0/1815.169.192.1 to 15.169.255.25415.169.255.25516,382
4115.170.0.0/1815.170.0.1 to 15.170.63.25415.170.63.25516,382
4215.170.64.0/1815.170.64.1 to 15.170.127.25415.170.127.25516,382
4315.170.128.0/1815.170.128.1 to 15.170.191.25415.170.191.25516,382
4415.170.192.0/1815.170.192.1 to 15.170.255.25415.170.255.25516,382
4515.171.0.0/1815.171.0.1 to 15.171.63.25415.171.63.25516,382
4615.171.64.0/1815.171.64.1 to 15.171.127.25415.171.127.25516,382
4715.171.128.0/1815.171.128.1 to 15.171.191.25415.171.191.25516,382
4815.171.192.0/1815.171.192.1 to 15.171.255.25415.171.255.25516,382
4915.172.0.0/1815.172.0.1 to 15.172.63.25415.172.63.25516,382
5015.172.64.0/1815.172.64.1 to 15.172.127.25415.172.127.25516,382
5115.172.128.0/1815.172.128.1 to 15.172.191.25415.172.191.25516,382
5215.172.192.0/1815.172.192.1 to 15.172.255.25415.172.255.25516,382
5315.173.0.0/1815.173.0.1 to 15.173.63.25415.173.63.25516,382
5415.173.64.0/1815.173.64.1 to 15.173.127.25415.173.127.25516,382
5515.173.128.0/1815.173.128.1 to 15.173.191.25415.173.191.25516,382
5615.173.192.0/1815.173.192.1 to 15.173.255.25415.173.255.25516,382
5715.174.0.0/1815.174.0.1 to 15.174.63.25415.174.63.25516,382
5815.174.64.0/1815.174.64.1 to 15.174.127.25415.174.127.25516,382
5915.174.128.0/1815.174.128.1 to 15.174.191.25415.174.191.25516,382
6015.174.192.0/1815.174.192.1 to 15.174.255.25415.174.255.25516,382
6115.175.0.0/1815.175.0.1 to 15.175.63.25415.175.63.25516,382
6215.175.64.0/1815.175.64.1 to 15.175.127.25415.175.127.25516,382
6315.175.128.0/1815.175.128.1 to 15.175.191.25415.175.191.25516,382
6415.175.192.0/1815.175.192.1 to 15.175.255.25415.175.255.25516,382
6515.176.0.0/1815.176.0.1 to 15.176.63.25415.176.63.25516,382
6615.176.64.0/1815.176.64.1 to 15.176.127.25415.176.127.25516,382
6715.176.128.0/1815.176.128.1 to 15.176.191.25415.176.191.25516,382
6815.176.192.0/1815.176.192.1 to 15.176.255.25415.176.255.25516,382
6915.177.0.0/1815.177.0.1 to 15.177.63.25415.177.63.25516,382
7015.177.64.0/1815.177.64.1 to 15.177.127.25415.177.127.25516,382
7115.177.128.0/1815.177.128.1 to 15.177.191.25415.177.191.25516,382
7215.177.192.0/1815.177.192.1 to 15.177.255.25415.177.255.25516,382
7315.178.0.0/1815.178.0.1 to 15.178.63.25415.178.63.25516,382
7415.178.64.0/1815.178.64.1 to 15.178.127.25415.178.127.25516,382
7515.178.128.0/1815.178.128.1 to 15.178.191.25415.178.191.25516,382
7615.178.192.0/1815.178.192.1 to 15.178.255.25415.178.255.25516,382
7715.179.0.0/1815.179.0.1 to 15.179.63.25415.179.63.25516,382
7815.179.64.0/1815.179.64.1 to 15.179.127.25415.179.127.25516,382
7915.179.128.0/1815.179.128.1 to 15.179.191.25415.179.191.25516,382
8015.179.192.0/1815.179.192.1 to 15.179.255.25415.179.255.25516,382
8115.180.0.0/1815.180.0.1 to 15.180.63.25415.180.63.25516,382
8215.180.64.0/1815.180.64.1 to 15.180.127.25415.180.127.25516,382
8315.180.128.0/1815.180.128.1 to 15.180.191.25415.180.191.25516,382
8415.180.192.0/1815.180.192.1 to 15.180.255.25415.180.255.25516,382
8515.181.0.0/1815.181.0.1 to 15.181.63.25415.181.63.25516,382
8615.181.64.0/1815.181.64.1 to 15.181.127.25415.181.127.25516,382
8715.181.128.0/1815.181.128.1 to 15.181.191.25415.181.191.25516,382
8815.181.192.0/1815.181.192.1 to 15.181.255.25415.181.255.25516,382
8915.182.0.0/1815.182.0.1 to 15.182.63.25415.182.63.25516,382
9015.182.64.0/1815.182.64.1 to 15.182.127.25415.182.127.25516,382
9115.182.128.0/1815.182.128.1 to 15.182.191.25415.182.191.25516,382
9215.182.192.0/1815.182.192.1 to 15.182.255.25415.182.255.25516,382
9315.183.0.0/1815.183.0.1 to 15.183.63.25415.183.63.25516,382
9415.183.64.0/1815.183.64.1 to 15.183.127.25415.183.127.25516,382
9515.183.128.0/1815.183.128.1 to 15.183.191.25415.183.191.25516,382
9615.183.192.0/1815.183.192.1 to 15.183.255.25415.183.255.25516,382
9715.184.0.0/1815.184.0.1 to 15.184.63.25415.184.63.25516,382
9815.184.64.0/1815.184.64.1 to 15.184.127.25415.184.127.25516,382
9915.184.128.0/1815.184.128.1 to 15.184.191.25415.184.191.25516,382
10015.184.192.0/1815.184.192.1 to 15.184.255.25415.184.255.25516,382
10115.185.0.0/1815.185.0.1 to 15.185.63.25415.185.63.25516,382
10215.185.64.0/1815.185.64.1 to 15.185.127.25415.185.127.25516,382
10315.185.128.0/1815.185.128.1 to 15.185.191.25415.185.191.25516,382
10415.185.192.0/1815.185.192.1 to 15.185.255.25415.185.255.25516,382
10515.186.0.0/1815.186.0.1 to 15.186.63.25415.186.63.25516,382
10615.186.64.0/1815.186.64.1 to 15.186.127.25415.186.127.25516,382
10715.186.128.0/1815.186.128.1 to 15.186.191.25415.186.191.25516,382
10815.186.192.0/1815.186.192.1 to 15.186.255.25415.186.255.25516,382
10915.187.0.0/1815.187.0.1 to 15.187.63.25415.187.63.25516,382
11015.187.64.0/1815.187.64.1 to 15.187.127.25415.187.127.25516,382
11115.187.128.0/1815.187.128.1 to 15.187.191.25415.187.191.25516,382
11215.187.192.0/1815.187.192.1 to 15.187.255.25415.187.255.25516,382
11315.188.0.0/1815.188.0.1 to 15.188.63.25415.188.63.25516,382
11415.188.64.0/1815.188.64.1 to 15.188.127.25415.188.127.25516,382
11515.188.128.0/1815.188.128.1 to 15.188.191.25415.188.191.25516,382
11615.188.192.0/1815.188.192.1 to 15.188.255.25415.188.255.25516,382
11715.189.0.0/1815.189.0.1 to 15.189.63.25415.189.63.25516,382
11815.189.64.0/1815.189.64.1 to 15.189.127.25415.189.127.25516,382
11915.189.128.0/1815.189.128.1 to 15.189.191.25415.189.191.25516,382
12015.189.192.0/1815.189.192.1 to 15.189.255.25415.189.255.25516,382
12115.190.0.0/1815.190.0.1 to 15.190.63.25415.190.63.25516,382
12215.190.64.0/1815.190.64.1 to 15.190.127.25415.190.127.25516,382
12315.190.128.0/1815.190.128.1 to 15.190.191.25415.190.191.25516,382
12415.190.192.0/1815.190.192.1 to 15.190.255.25415.190.255.25516,382
12515.191.0.0/1815.191.0.1 to 15.191.63.25415.191.63.25516,382
12615.191.64.0/1815.191.64.1 to 15.191.127.25415.191.127.25516,382
12715.191.128.0/1815.191.128.1 to 15.191.191.25415.191.191.25516,382
12815.191.192.0/1815.191.192.1 to 15.191.255.25415.191.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses